Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eORIStornoInvoiceType
    eStornoInvoice = 0
    eStornoInvoiceDelivery = 1
    eStornoInvoiceDeliveryStorageOut = 2
End Enum

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
<NonPersistent()> _
Public Class ORI_Storno_Invoice_PopUp
    Inherits BaseObject

    Private _ORIStornoInvoiceType As eORIStornoInvoiceType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property ORIStornoInvoiceType As eORIStornoInvoiceType
        Get
            Return _ORIStornoInvoiceType
        End Get
        Set(value As eORIStornoInvoiceType)
            SetPropertyValue("ORIStornoInvoiceType", _ORIStornoInvoiceType, value)
        End Set
    End Property
End Class
